/*
 *****************************************************************************
 * Copyright by ams OSRAM AG                                                       *
 * All rights are reserved.                                                  *
 *                                                                           *
 * IMPORTANT - PLEASE READ CAREFULLY BEFORE COPYING, INSTALLING OR USING     *
 * THE SOFTWARE.                                                             *
 *                                                                           *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS       *
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT         *
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS         *
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  *
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,     *
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT          *
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,     *
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY     *
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT       *
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE     *
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.      *
 *****************************************************************************
 */

// This is a calibration of my device. Replace it with one of yours.
// This calibration file must match the SPAD map ID. This is for
// my configs

#include "tmf8828_shim.h"
#include "tmf882x_calib.h"


const PROGMEM uint8_t tmf882x_calib_0[] = {
 0x19, 0x54, 0xBC, 0x0, 0x1, 0x3, 0x1, 0x0,
 0x1, 0xFF, 0x19, 0x2, 0x79, 0x56, 0x34, 0x12,
 0x44, 0x68, 0xB8, 0xF8, 0x18, 0x63, 0x7, 0x0,
 0x15, 0x62, 0x7, 0x0, 0x38, 0xCA, 0x7, 0x0,
 0xC, 0x7B, 0x7, 0x0, 0x54, 0x7A, 0x7, 0x0,
 0x72, 0x6E, 0x7, 0x0, 0x66, 0x97, 0x7, 0x0,
 0x94, 0x9B, 0x7, 0x0, 0x77, 0x94, 0x7, 0x0,
 0x86, 0x8C, 0x7, 0x0, 0xC6, 0x76, 0x0, 0x0,
 0x7C, 0x5, 0x0, 0x0, 0x4E, 0x3, 0x0, 0x0,
 0x17, 0x4, 0x0, 0x0, 0x54, 0x3, 0x0, 0x0,
 0xC7, 0x3, 0x0, 0x0, 0x73, 0xC, 0x0, 0x0,
 0x3E, 0x4, 0x0, 0x0, 0x77, 0x3B, 0x0, 0x0,
 0xEC, 0x93, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0x0,
 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x7, 0x0,
 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x7, 0x0,
 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x7, 0x0,
 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x7, 0x0,
 0x0, 0x0, 0x7, 0x0, 0xA0, 0xF, 0x0, 0x0,
 0xA0, 0xF, 0x0, 0x0, 0xA0, 0xF, 0x0, 0x0,
 0xA0, 0xF, 0x0, 0x0, 0xA0, 0xF, 0x0, 0x0,
 0xA0, 0xF, 0x0, 0x0, 0xA0, 0xF, 0x0, 0x0,
 0xA0, 0xF, 0x0, 0x0, 0xA0, 0xF, 0x0, 0x0,
 0xA0, 0xF, 0x0, 0x0, 0x0, 0x0, 0x4F, 0x7E,
};

const PROGMEM uint8_t tmf882x_calib_1[] = {
 0x19, 0x4B, 0xBC, 0x0, 0x1, 0x8, 0x3, 0x0,
 0x1, 0xFF, 0x26, 0x2, 0x7A, 0x56, 0x34, 0x12,
 0xB3, 0xD7, 0x35, 0x4D, 0x9E, 0x4C, 0x7, 0x0,
 0x4D, 0x6F, 0x7, 0x0, 0x1A, 0x78, 0x7, 0x0,
 0xF4, 0x69, 0x7, 0x0, 0x0, 0x56, 0x7, 0x0,
 0xB2, 0x53, 0x7, 0x0, 0x54, 0x7A, 0x7, 0x0,
 0x28, 0x70, 0x7, 0x0, 0x74, 0x73, 0x7, 0x0,
 0x34, 0x7D, 0x7, 0x0, 0x8, 0x5F, 0x1, 0x0,
 0x4D, 0x2E, 0x0, 0x0, 0x75, 0x17, 0x0, 0x0,
 0x54, 0x16, 0x0, 0x0, 0x9D, 0x25, 0x0, 0x0,
 0xD2, 0x17, 0x0, 0x0, 0xC3, 0x14, 0x0, 0x0,
 0x47, 0x1B, 0x0, 0x0, 0xD5, 0x11, 0x0, 0x0,
 0x77, 0x1C, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0x0,
 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x7, 0x0,
 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x7, 0x0,
 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x7, 0x0,
 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x7, 0x0,
 0x0, 0x0, 0x7, 0x0, 0xA0, 0xF, 0x0, 0x0,
 0xA0, 0xF, 0x0, 0x0, 0xA0, 0xF, 0x0, 0x0,
 0xA0, 0xF, 0x0, 0x0, 0xA0, 0xF, 0x0, 0x0,
 0xA0, 0xF, 0x0, 0x0, 0xA0, 0xF, 0x0, 0x0,
 0xA0, 0xF, 0x0, 0x0, 0xA0, 0xF, 0x0, 0x0,
 0xA0, 0xF, 0x0, 0x0, 0x0, 0x0, 0x57, 0x7E,
};


const PROGMEM uint8_t tmf882x_calib_2[] = {
 0x19, 0x59, 0xBC, 0x0, 0x1, 0xA, 0x4, 0x1,
 0x1, 0x1, 0x84, 0x3, 0x7F, 0x56, 0x34, 0x12,
 0xBC, 0x69, 0x78, 0x7F, 0x5C, 0x51, 0x7, 0x0,
 0xB0, 0x37, 0x7, 0x0, 0xFF, 0x68, 0x7, 0x0,
 0x1D, 0x65, 0x7, 0x0, 0xB2, 0x53, 0x7, 0x0,
 0x5C, 0x51, 0x7, 0x0, 0xB, 0x75, 0x7, 0x0,
 0x28, 0x70, 0x7, 0x0, 0x72, 0x6E, 0x7, 0x0,
 0x5C, 0x51, 0x7, 0x0, 0x84, 0x25, 0x2, 0x0,
 0x58, 0x47, 0x0, 0x0, 0x4F, 0x28, 0x0, 0x0,
 0x88, 0x1E, 0x0, 0x0, 0x8F, 0x26, 0x0, 0x0,
 0x80, 0x3F, 0x0, 0x0, 0xCE, 0x31, 0x0, 0x0,
 0x61, 0x19, 0x0, 0x0, 0x99, 0x12, 0x0, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x7F, 0x56, 0x34, 0x12,
 0xBC, 0xCD, 0x1E, 0x1F, 0x31, 0x50, 0x7, 0x0,
 0x76, 0x3B, 0x7, 0x0, 0x1F, 0x66, 0x7, 0x0,
 0xE6, 0x5E, 0x7, 0x0, 0x5C, 0x51, 0x7, 0x0,
 0xDD, 0x54, 0x7, 0x0, 0x4D, 0x6F, 0x7, 0x0,
 0xC5, 0x6B, 0x7, 0x0, 0x14, 0x67, 0x7, 0x0,
 0x31, 0x50, 0x7, 0x0, 0x9D, 0x2B, 0x2, 0x0,
 0xB, 0x34, 0x0, 0x0, 0xC3, 0x1B, 0x0, 0x0,
 0x3F, 0x14, 0x0, 0x0, 0xA8, 0x13, 0x0, 0x0,
 0x94, 0x34, 0x0, 0x0, 0x82, 0x1E, 0x0, 0x0,
 0x32, 0x21, 0x0, 0x0, 0x24, 0x3E, 0x0, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x46, 0x7E,
};
