/*
 *****************************************************************************
 * Copyright by ams OSRAM AG                                                       *
 * All rights are reserved.                                                  *
 *                                                                           *
 * IMPORTANT - PLEASE READ CAREFULLY BEFORE COPYING, INSTALLING OR USING     *
 * THE SOFTWARE.                                                             *
 *                                                                           *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS       *
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT         *
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS         *
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  *
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,     *
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT          *
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,     *
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY     *
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT       *
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE     *
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.      *
 *****************************************************************************
 */

// This is a calibration of my device. Replace it with one of yours.
// This calibration file must match the SPAD map ID. This is for
// my 3 configs

#include "tmf8828_calib.h"
const PROGMEM uint8_t tmf8828_calib_0[] = {
 0x19, 0x5, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0xB7, 0x8A, 0x4D, 0x31, 0xF7, 0x3D, 0x7, 0x0,
 0x10, 0x30, 0x7, 0x0, 0xCF, 0x4D, 0x7, 0x0,
 0x31, 0x50, 0x7, 0x0, 0x56, 0x31, 0x7, 0x0,
 0x93, 0x23, 0x7, 0x0, 0xC9, 0x1D, 0x7, 0x0,
 0x48, 0x58, 0x7, 0x0, 0xB1, 0x80, 0x7, 0x0,
 0xF7, 0x3D, 0x7, 0x0, 0x92, 0xE7, 0x3, 0x0,
 0x0, 0x46, 0x12, 0x0, 0x6E, 0x34, 0x12, 0x0,
 0xBE, 0x35, 0x17, 0x0, 0xF, 0x53, 0x1A, 0x0,
 0xFE, 0x7B, 0x28, 0x0, 0x7E, 0x19, 0x32, 0x0,
 0x1B, 0xB5, 0x12, 0x0, 0x21, 0x18, 0x1B, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0xAF, 0xE4, 0xE6, 0x81, 0xB9, 0x3C, 0x7, 0x0,
 0x84, 0x2D, 0x7, 0x0, 0x38, 0x4A, 0x7, 0x0,
 0x98, 0x46, 0x7, 0x0, 0x6B, 0x36, 0x7, 0x0,
 0x1, 0xF, 0x7, 0x0, 0x24, 0x44, 0x7, 0x0,
 0x31, 0x50, 0x7, 0x0, 0x9B, 0x85, 0x7, 0x0,
 0xB9, 0x3C, 0x7, 0x0, 0x1D, 0xD3, 0x3, 0x0,
 0x66, 0xFF, 0x10, 0x0, 0xE, 0x61, 0x13, 0x0,
 0x91, 0xD3, 0x1C, 0x0, 0xD9, 0xA, 0x12, 0x0,
 0x72, 0x94, 0x5C, 0x0, 0xAE, 0xB2, 0x23, 0x0,
 0x91, 0x82, 0x18, 0x0, 0x62, 0x8C, 0x11, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0xC, 0x81,
};
const PROGMEM uint8_t tmf8828_calib_1[] = {
 0x19, 0x6, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0x8F, 0x4C, 0x4C, 0xC4, 0x76, 0x3B, 0x7, 0x0,
 0xBD, 0x29, 0x7, 0x0, 0xCD, 0x47, 0x7, 0x0,
 0x76, 0x3B, 0x7, 0x0, 0x9C, 0x32, 0x7, 0x0,
 0xC5, 0x6B, 0x6, 0x0, 0xB2, 0x53, 0x7, 0x0,
 0x98, 0x46, 0x7, 0x0, 0x13, 0x82, 0x7, 0x0,
 0x76, 0x3B, 0x7, 0x0, 0xF2, 0x1, 0x4, 0x0,
 0xF2, 0x35, 0x12, 0x0, 0xE8, 0x79, 0x15, 0x0,
 0xD4, 0xFC, 0x23, 0x0, 0x54, 0x5B, 0x10, 0x0,
 0x9B, 0x8F, 0x2A, 0x0, 0x8F, 0x75, 0x18, 0x0,
 0x6A, 0x34, 0x22, 0x0, 0xF7, 0x3F, 0x10, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0x2F, 0xF4, 0xEE, 0x5, 0x34, 0x3A, 0x7, 0x0,
 0xBD, 0x29, 0x7, 0x0, 0xB1, 0x41, 0x7, 0x0,
 0xF2, 0x38, 0x7, 0x0, 0x56, 0x31, 0x7, 0x0,
 0x24, 0x57, 0x6, 0x0, 0xDD, 0x54, 0x7, 0x0,
 0x73, 0x40, 0x7, 0x0, 0x34, 0x7D, 0x7, 0x0,
 0x34, 0x3A, 0x7, 0x0, 0xB0, 0xFB, 0x3, 0x0,
 0x9E, 0x62, 0x12, 0x0, 0x68, 0xD9, 0x18, 0x0,
 0x17, 0xCD, 0x24, 0x0, 0x0, 0x2B, 0x12, 0x0,
 0xF9, 0x74, 0x30, 0x0, 0x5C, 0x6C, 0x17, 0x0,
 0x14, 0x59, 0x24, 0x0, 0xB0, 0xA8, 0x12, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0xA7, 0x81,
};
const PROGMEM uint8_t tmf8828_calib_2[] = {
 0x19, 0x7, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0xA3, 0xFF, 0x66, 0xAD, 0xF2, 0x38, 0x7, 0x0,
 0x7B, 0x28, 0x7, 0x0, 0x3, 0x49, 0x7, 0x0,
 0xF7, 0x3D, 0x7, 0x0, 0x67, 0x22, 0x7, 0x0,
 0x41, 0x27, 0x7, 0x0, 0xFF, 0x2A, 0x7, 0x0,
 0x0, 0x56, 0x7, 0x0, 0x0, 0x80, 0x7, 0x0,
 0xF2, 0x38, 0x7, 0x0, 0x1B, 0x12, 0x4, 0x0,
 0x7C, 0xD8, 0x13, 0x0, 0x11, 0xEF, 0x14, 0x0,
 0x54, 0x2B, 0x21, 0x0, 0xFC, 0xC2, 0x27, 0x0,
 0x19, 0xB3, 0x1E, 0x0, 0xBE, 0x77, 0x2B, 0x0,
 0x99, 0xF8, 0x10, 0x0, 0xB, 0xE1, 0xF, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0x9B, 0x79, 0x48, 0xBC, 0xF2, 0x38, 0x7, 0x0,
 0x93, 0x23, 0x7, 0x0, 0xCD, 0x47, 0x7, 0x0,
 0xF7, 0x3D, 0x7, 0x0, 0xCA, 0x2E, 0x7, 0x0,
 0xC9, 0x1D, 0x7, 0x0, 0x6E, 0x4B, 0x7, 0x0,
 0x48, 0x58, 0x7, 0x0, 0x99, 0x7E, 0x7, 0x0,
 0xF2, 0x38, 0x7, 0x0, 0x8B, 0xC, 0x4, 0x0,
 0xCE, 0x4F, 0x16, 0x0, 0x9E, 0xF, 0x12, 0x0,
 0x3E, 0x84, 0x31, 0x0, 0x38, 0x1D, 0x16, 0x0,
 0xC4, 0x8, 0x29, 0x0, 0x2, 0xA2, 0x1B, 0x0,
 0x80, 0xBB, 0xF, 0x0, 0xBD, 0x92, 0x10, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x84, 0x81,
};
const PROGMEM uint8_t tmf8828_calib_3[] = {
 0x19, 0x8, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0x7B, 0x61, 0xCE, 0xF7, 0x76, 0x3B, 0x7, 0x0,
 0xF, 0x20, 0x7, 0x0, 0xCD, 0x47, 0x7, 0x0,
 0x0, 0x80, 0x6, 0x0, 0x9C, 0x32, 0x7, 0x0,
 0xC, 0x7B, 0x6, 0x0, 0x24, 0x57, 0x7, 0x0,
 0x6C, 0x59, 0x7, 0x0, 0x0, 0x80, 0x7, 0x0,
 0x76, 0x3B, 0x7, 0x0, 0x23, 0xF2, 0x3, 0x0,
 0x6, 0xF7, 0x1B, 0x0, 0x43, 0xD1, 0x11, 0x0,
 0x8A, 0x21, 0x24, 0x0, 0x40, 0x54, 0x10, 0x0,
 0xF, 0xBE, 0x22, 0x0, 0x2B, 0x35, 0x10, 0x0,
 0xE0, 0x89, 0xE, 0x0, 0x69, 0x6, 0x13, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0x1B, 0x89, 0x12, 0xBB, 0x76, 0x3B, 0x7, 0x0,
 0x3B, 0x21, 0x7, 0x0, 0x5E, 0x45, 0x7, 0x0,
 0x0, 0x80, 0x6, 0x0, 0xE1, 0x33, 0x7, 0x0,
 0x72, 0x6E, 0x6, 0x0, 0x24, 0x57, 0x7, 0x0,
 0x48, 0x58, 0x7, 0x0, 0x54, 0x7A, 0x7, 0x0,
 0x76, 0x3B, 0x7, 0x0, 0x62, 0xEA, 0x3, 0x0,
 0xEE, 0x47, 0x1C, 0x0, 0x59, 0xBF, 0x15, 0x0,
 0x46, 0xAD, 0x22, 0x0, 0xF6, 0xF1, 0x10, 0x0,
 0x97, 0xD7, 0x2B, 0x0, 0x15, 0x47, 0x10, 0x0,
 0x3D, 0xA4, 0xE, 0x0, 0xF7, 0xDF, 0x15, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x8C, 0x81,
};
const PROGMEM uint8_t tmf8828_calib_4[] = {
 0x19, 0x5, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0xFF, 0x49, 0x4D, 0x31, 0x94, 0x9B, 0x7, 0x0,
 0xCD, 0xA4, 0x7, 0x0, 0xD7, 0xDD, 0x7, 0x0,
 0x87, 0xD2, 0x7, 0x0, 0x94, 0x9B, 0x7, 0x0,
 0x73, 0x99, 0x7, 0x0, 0x7A, 0x9A, 0x7, 0x0,
 0xDD, 0xD4, 0x7, 0x0, 0x5, 0xE1, 0x7, 0x0,
 0x94, 0x9B, 0x7, 0x0, 0x98, 0xE3, 0x4, 0x0,
 0x74, 0x69, 0x11, 0x0, 0xBA, 0x77, 0x11, 0x0,
 0x45, 0xE0, 0x15, 0x0, 0x0, 0x3B, 0x1B, 0x0,
 0xDA, 0x70, 0x23, 0x0, 0x32, 0xCD, 0x2E, 0x0,
 0x36, 0xF2, 0xC, 0x0, 0xC, 0xC8, 0xD, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0xF7, 0xA3, 0xE6, 0x81, 0x73, 0x99, 0x7, 0x0,
 0xF, 0xA0, 0x7, 0x0, 0xA1, 0xDB, 0x7, 0x0,
 0x3, 0xC9, 0x7, 0x0, 0xC9, 0x9D, 0x7, 0x0,
 0x34, 0xFD, 0x6, 0x0, 0x73, 0xC0, 0x7, 0x0,
 0x5C, 0xD1, 0x7, 0x0, 0x15, 0xE2, 0x7, 0x0,
 0x73, 0x99, 0x7, 0x0, 0xE, 0xD7, 0x4, 0x0,
 0x99, 0xA5, 0x11, 0x0, 0x8B, 0x20, 0x10, 0x0,
 0xC8, 0x5F, 0x1C, 0x0, 0x83, 0x94, 0xF, 0x0,
 0x69, 0x34, 0x28, 0x0, 0x11, 0xE1, 0x1D, 0x0,
 0xE2, 0x2F, 0xF, 0x0, 0x79, 0x5F, 0xB, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x97, 0x7C,
};
const PROGMEM uint8_t tmf8828_calib_5[] = {
 0x19, 0x6, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0xD7, 0xB, 0x4C, 0xC4, 0x6D, 0x98, 0x7, 0x0,
 0xF, 0xA0, 0x7, 0x0, 0x24, 0xD7, 0x7, 0x0,
 0x34, 0xBA, 0x7, 0x0, 0xAF, 0x9C, 0x7, 0x0,
 0xE6, 0xDE, 0x6, 0x0, 0x3, 0xC9, 0x7, 0x0,
 0x87, 0xD2, 0x7, 0x0, 0xD7, 0xDD, 0x7, 0x0,
 0x6D, 0x98, 0x7, 0x0, 0x9D, 0xF3, 0x4, 0x0,
 0x15, 0xC9, 0x13, 0x0, 0x43, 0x3A, 0x12, 0x0,
 0x6, 0xCE, 0x26, 0x0, 0x80, 0x5B, 0xC, 0x0,
 0xF9, 0x7, 0x2F, 0x0, 0xB8, 0xE3, 0xC, 0x0,
 0x6C, 0x66, 0x11, 0x0, 0x39, 0x40, 0xD, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0x77, 0xB3, 0xEE, 0x5, 0x66, 0x97, 0x7, 0x0,
 0xF, 0xA0, 0x7, 0x0, 0x5C, 0xD1, 0x7, 0x0,
 0x26, 0xB5, 0x7, 0x0, 0x66, 0x97, 0x7, 0x0,
 0x0, 0xD6, 0x6, 0x0, 0xCD, 0xC7, 0x7, 0x0,
 0x0, 0xCF, 0x7, 0x0, 0xBC, 0xDC, 0x7, 0x0,
 0x66, 0x97, 0x7, 0x0, 0xBD, 0xE8, 0x4, 0x0,
 0x75, 0xB7, 0x13, 0x0, 0xBB, 0xE9, 0x15, 0x0,
 0x9D, 0x7D, 0x28, 0x0, 0xA8, 0x84, 0xE, 0x0,
 0xA9, 0x7, 0x31, 0x0, 0x69, 0xFC, 0xE, 0x0,
 0x76, 0xE5, 0x11, 0x0, 0xDF, 0x27, 0x12, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x9, 0x7D,
};
const PROGMEM uint8_t tmf8828_calib_6[] = {
 0x19, 0x7, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0xEB, 0xBE, 0x66, 0xAD, 0x5F, 0x96, 0x7, 0x0,
 0xE3, 0x9E, 0x7, 0x0, 0x48, 0xD8, 0x7, 0x0,
 0xCD, 0xC7, 0x7, 0x0, 0xC8, 0x90, 0x7, 0x0,
 0xE3, 0x9E, 0x7, 0x0, 0xB9, 0xBC, 0x7, 0x0,
 0x87, 0xD2, 0x7, 0x0, 0xF6, 0xDF, 0x7, 0x0,
 0x5F, 0x96, 0x7, 0x0, 0xF, 0x11, 0x5, 0x0,
 0x61, 0x9C, 0x14, 0x0, 0xCE, 0xF5, 0x16, 0x0,
 0x81, 0xE8, 0x1E, 0x0, 0x81, 0x82, 0x23, 0x0,
 0x23, 0xD5, 0x14, 0x0, 0x41, 0xD9, 0x18, 0x0,
 0x46, 0xEB, 0xC, 0x0, 0x3A, 0xC9, 0xB, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0xE3, 0x38, 0x48, 0xBC, 0x6B, 0x95, 0x7, 0x0,
 0x94, 0x9B, 0x7, 0x0, 0x87, 0xDA, 0x7, 0x0,
 0xFF, 0x68, 0x7, 0x0, 0xAF, 0x9C, 0x7, 0x0,
 0x5F, 0x96, 0x7, 0x0, 0xEA, 0xC2, 0x7, 0x0,
 0xDD, 0xD4, 0x7, 0x0, 0xF6, 0xDF, 0x7, 0x0,
 0x6B, 0x95, 0x7, 0x0, 0xE3, 0x10, 0x5, 0x0,
 0xE6, 0x43, 0x18, 0x0, 0x19, 0x91, 0xF, 0x0,
 0x44, 0x14, 0x34, 0x0, 0x78, 0x17, 0x11, 0x0,
 0x61, 0xED, 0x21, 0x0, 0x6D, 0x16, 0xE, 0x0,
 0x8F, 0x7A, 0xB, 0x0, 0xE, 0x1F, 0xE, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0xD, 0x7D,
};
const PROGMEM uint8_t tmf8828_calib_7[] = {
 0x19, 0x8, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0xC3, 0x20, 0xCE, 0xF7, 0x5F, 0x96, 0x7, 0x0,
 0x5F, 0x96, 0x7, 0x0, 0x48, 0xD8, 0x7, 0x0,
 0xE6, 0x7D, 0x7, 0x0, 0xC9, 0x9D, 0x7, 0x0,
 0xAB, 0x91, 0x7, 0x0, 0x98, 0xC6, 0x7, 0x0,
 0x0, 0xD6, 0x7, 0x0, 0xA1, 0xDB, 0x7, 0x0,
 0x5F, 0x96, 0x7, 0x0, 0x44, 0xD, 0x5, 0x0,
 0xC1, 0xE5, 0x21, 0x0, 0xB4, 0x9A, 0xF, 0x0,
 0xAE, 0xB4, 0x49, 0x0, 0xB8, 0x16, 0xC, 0x0,
 0xDD, 0xA8, 0x28, 0x0, 0x84, 0x56, 0xB, 0x0,
 0xB0, 0x15, 0xB, 0x0, 0xD, 0x4F, 0x12, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0x63, 0x48, 0x12, 0xBB, 0x6B, 0x95, 0x7, 0x0,
 0x8F, 0x92, 0x7, 0x0, 0x87, 0xD2, 0x7, 0x0,
 0x14, 0x67, 0x7, 0x0, 0xAF, 0x9C, 0x7, 0x0,
 0xC8, 0x90, 0x7, 0x0, 0x24, 0xC4, 0x7, 0x0,
 0x87, 0xD2, 0x7, 0x0, 0x48, 0xD8, 0x7, 0x0,
 0x6B, 0x95, 0x7, 0x0, 0x9F, 0xA, 0x5, 0x0,
 0x79, 0x50, 0x22, 0x0, 0xB1, 0xC5, 0x13, 0x0,
 0x68, 0xB9, 0x3F, 0x0, 0x96, 0xE4, 0xD, 0x0,
 0xEF, 0xFD, 0x26, 0x0, 0x62, 0x44, 0xD, 0x0,
 0x83, 0xCD, 0xA, 0x0, 0xC3, 0xE8, 0x16, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x49, 0x7D,
};
const PROGMEM uint8_t tmf8828_calib_8[] = {
 0x19, 0x4, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0x92, 0xB2, 0x20, 0x31, 0x56, 0x31, 0x7, 0x0,
 0x73, 0x19, 0x7, 0x0, 0xC, 0xFB, 0x6, 0x0,
 0xE6, 0xFD, 0x6, 0x0, 0x66, 0x17, 0x7, 0x0,
 0x5B, 0x9, 0x7, 0x0, 0x76, 0x3B, 0x7, 0x0,
 0x76, 0x3B, 0x7, 0x0, 0x23, 0xA, 0x7, 0x0,
 0x56, 0x31, 0x7, 0x0, 0xE2, 0xA2, 0x5, 0x0,
 0xD3, 0x82, 0x0, 0x0, 0x27, 0x6F, 0x0, 0x0,
 0x37, 0xDC, 0x0, 0x0, 0xBB, 0x38, 0x0, 0x0,
 0xC, 0xD0, 0x1, 0x0, 0x83, 0x30, 0x0, 0x0,
 0xE8, 0x75, 0x0, 0x0, 0x14, 0x48, 0x0, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0x8A, 0xC, 0xBA, 0x81, 0x10, 0x30, 0x7, 0x0,
 0x66, 0x17, 0x7, 0x0, 0xC, 0xFB, 0x6, 0x0,
 0x54, 0xFA, 0x6, 0x0, 0x8F, 0x12, 0x7, 0x0,
 0x93, 0x8, 0x7, 0x0, 0x26, 0x35, 0x7, 0x0,
 0xB0, 0x37, 0x7, 0x0, 0xD5, 0x7, 0x7, 0x0,
 0x10, 0x30, 0x7, 0x0, 0xC6, 0x8A, 0x5, 0x0,
 0x4C, 0x67, 0x0, 0x0, 0x53, 0x89, 0x0, 0x0,
 0x67, 0x80, 0x0, 0x0, 0xE8, 0x4C, 0x0, 0x0,
 0x2E, 0xD0, 0x0, 0x0, 0x8C, 0x3E, 0x0, 0x0,
 0x67, 0x58, 0x0, 0x0, 0x91, 0x59, 0x0, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x21, 0x84,
};
const PROGMEM uint8_t tmf8828_calib_9[] = {
 0x19, 0x5, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0x6A, 0x74, 0x1F, 0xC4, 0x42, 0x2C, 0x7, 0x0,
 0x77, 0x14, 0x7, 0x0, 0x96, 0xF6, 0x6, 0x0,
 0xD0, 0xF5, 0x6, 0x0, 0x1, 0xF, 0x7, 0x0,
 0x79, 0x3, 0x7, 0x0, 0x84, 0x2D, 0x7, 0x0,
 0x9C, 0x32, 0x7, 0x0, 0xB1, 0x0, 0x7, 0x0,
 0x42, 0x2C, 0x7, 0x0, 0x70, 0xC8, 0x5, 0x0,
 0x44, 0x5F, 0x0, 0x0, 0x38, 0xF7, 0x0, 0x0,
 0x9F, 0x57, 0x0, 0x0, 0x79, 0x72, 0x0, 0x0,
 0xAC, 0x6D, 0x0, 0x0, 0x6A, 0x5D, 0x0, 0x0,
 0x5, 0x4E, 0x0, 0x0, 0x94, 0x9F, 0x0, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0xA, 0x1C, 0xC2, 0x5, 0xFF, 0x2A, 0x7, 0x0,
 0xAB, 0x11, 0x7, 0x0, 0x74, 0xF3, 0x6, 0x0,
 0x96, 0xF6, 0x6, 0x0, 0x2D, 0xE, 0x7, 0x0,
 0x13, 0x2, 0x7, 0x0, 0xFF, 0x2A, 0x7, 0x0,
 0x9C, 0x32, 0x7, 0x0, 0x62, 0x1, 0x7, 0x0,
 0xFF, 0x2A, 0x7, 0x0, 0xB, 0xC5, 0x5, 0x0,
 0xE0, 0x5F, 0x0, 0x0, 0x1F, 0xEF, 0x0, 0x0,
 0x6C, 0x3D, 0x0, 0x0, 0x8D, 0xA5, 0x0, 0x0,
 0x2D, 0x42, 0x0, 0x0, 0x91, 0x6E, 0x0, 0x0,
 0xD1, 0x42, 0x0, 0x0, 0x88, 0x40, 0x1, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x8, 0x85,
};
const PROGMEM uint8_t tmf8828_calib_10[] = {
 0x19, 0x6, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0x7E, 0x27, 0x3A, 0xAD, 0x84, 0x2D, 0x7, 0x0,
 0x77, 0x14, 0x7, 0x0, 0x5C, 0xF7, 0x6, 0x0,
 0xB, 0xF5, 0x6, 0x0, 0x6B, 0x15, 0x7, 0x0,
 0xD5, 0x7, 0x7, 0x0, 0x84, 0x2D, 0x7, 0x0,
 0x6B, 0x36, 0x7, 0x0, 0x59, 0x6, 0x7, 0x0,
 0x84, 0x2D, 0x7, 0x0, 0x95, 0xB9, 0x5, 0x0,
 0xCF, 0x80, 0x0, 0x0, 0x36, 0x51, 0x0, 0x0,
 0xA9, 0xCA, 0x1, 0x0, 0xD3, 0x31, 0x0, 0x0,
 0x0, 0xD, 0x1, 0x0, 0x7F, 0x34, 0x0, 0x0,
 0x97, 0x72, 0x0, 0x0, 0xF, 0x5E, 0x0, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0x76, 0xA1, 0x1B, 0xBC, 0x42, 0x2C, 0x7, 0x0,
 0xC8, 0x10, 0x7, 0x0, 0xB, 0xF5, 0x6, 0x0,
 0x96, 0xF6, 0x6, 0x0, 0xC8, 0x10, 0x7, 0x0,
 0x17, 0x7, 0x7, 0x0, 0x84, 0x2D, 0x7, 0x0,
 0x6B, 0x36, 0x7, 0x0, 0x9B, 0x5, 0x7, 0x0,
 0x42, 0x2C, 0x7, 0x0, 0x2D, 0xBD, 0x5, 0x0,
 0x62, 0x67, 0x0, 0x0, 0x60, 0x66, 0x0, 0x0,
 0xA0, 0xDD, 0x0, 0x0, 0xA8, 0x40, 0x0, 0x0,
 0x59, 0x81, 0x0, 0x0, 0x15, 0x47, 0x0, 0x0,
 0x86, 0x59, 0x0, 0x0, 0x8B, 0x9F, 0x0, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF3, 0x84,
};
const PROGMEM uint8_t tmf8828_calib_11[] = {
 0x19, 0x7, 0xBC, 0x0, 0x1, 0x4, 0x1, 0x1,
 0x1, 0x1, 0xA0, 0xF, 0x87, 0x56, 0x34, 0x12,
 0x56, 0x89, 0xA1, 0xF7, 0xBD, 0x29, 0x7, 0x0,
 0x83, 0x13, 0x7, 0x0, 0xA4, 0xF2, 0x6, 0x0,
 0xA4, 0xF2, 0x6, 0x0, 0x86, 0xC, 0x7, 0x0,
 0xC4, 0x2, 0x7, 0x0, 0xFF, 0x2A, 0x7, 0x0,
 0x6B, 0x36, 0x7, 0x0, 0x13, 0x2, 0x7, 0x0,
 0xBD, 0x29, 0x7, 0x0, 0xB9, 0xE9, 0x5, 0x0,
 0xAE, 0x5B, 0x0, 0x0, 0x3D, 0xE3, 0x0, 0x0,
 0xA7, 0x6F, 0x0, 0x0, 0x93, 0x60, 0x0, 0x0,
 0x16, 0x58, 0x0, 0x0, 0x9C, 0x70, 0x0, 0x0,
 0x9C, 0x51, 0x0, 0x0, 0x1E, 0xE2, 0x0, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x87, 0x56, 0x34, 0x12,
 0xF6, 0xB0, 0xE5, 0xBA, 0xBD, 0x29, 0x7, 0x0,
 0xAB, 0x11, 0x7, 0x0, 0x3, 0xF1, 0x6, 0x0,
 0x74, 0xF3, 0x6, 0x0, 0xEA, 0xA, 0x7, 0x0,
 0x79, 0x3, 0x7, 0x0, 0xFF, 0x2A, 0x7, 0x0,
 0xE1, 0x33, 0x7, 0x0, 0x62, 0x1, 0x7, 0x0,
 0xBD, 0x29, 0x7, 0x0, 0x10, 0xEC, 0x5, 0x0,
 0xD, 0x50, 0x0, 0x0, 0xD3, 0x12, 0x1, 0x0,
 0xC8, 0x42, 0x0, 0x0, 0xF2, 0x7A, 0x0, 0x0,
 0x16, 0x3B, 0x0, 0x0, 0xE6, 0x8B, 0x0, 0x0,
 0x70, 0x4E, 0x0, 0x0, 0x5F, 0x41, 0x1, 0x0,
 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x24, 0x85,
};
